#ifdef __cplusplus
extern "C" {
#endif

enum result_kinds {
	result_docs,      /* Return the documents found in last search */
	result_docnums,   /* Return document id numbers and weights */
	result_termfreqs, /* Return terms and frequencies */
	result_terms      /* Return matching query terms */
    };

int mgq_ask(char *line);
int mgq_results(enum result_kinds kind,int skip, int howmany, int (*sender)(char *, int, int, float, void *), void *ptr);
int mgq_numdocs(void);
int mgq_numterms(void);
int load_database(char *mgdir, char *gensuffix, char *textsuffix);

/* this will equal "" when a database is not loaded */
/* if a database is loaded it will equal its gensuffix */
extern char db_loaded_name[256];


#ifdef __cplusplus
}
#endif
